<?php
function calcularDistancia($latitud1, $longitud1, $latitud2, $longitud2) {
    $radioTierra = 6371; // Radio de la Tierra en kilómetros
    $dLatitud = deg2rad($latitud2 - $latitud1);
    $dLongitud = deg2rad($longitud2 - $longitud1);

    $a = sin($dLatitud / 2) * sin($dLatitud / 2) + cos(deg2rad($latitud1)) * cos(deg2rad($latitud2)) * sin($dLongitud / 2) * sin($dLongitud / 2);
    $c = 2 * atan2(sqrt($a), sqrt(1 - $a));

    $distancia = $radioTierra * $c;

    return $distancia;
}
$latitud1 =  -11.1066700; // Latitud del primer punto en Perú
$longitud1 =  -77.6050000; // Longitud del primer punto en Perú

$latitud2 = -11.0700000; // Latitud del segundo punto en Perú
$longitud2 = -77.5994400; // Longitud del segundo punto en Perú

$distancia = calcularDistancia($latitud1, $longitud1, $latitud2, $longitud2);
echo "La distancia entre los huacho y huaura es: " . $distancia . " km";
?>